/*
 * ShiftStringa.cpp
 *
 *      Author: Luca
 */
#include <iostream.h>
#include <conio.h>
#include <stdlib.h>

//Dichiaro un array in cui inserisco una stringa da tastiera ed un puntatore che punta
//alla cella zero dell'array,ristampa shiftando la scritta inserendo dei simboli


char array[3];
char *ptr;


int shift=0;


void ShiftStampa(int l,char *ar,char *p,int sh){

	for(int k=0; k<(sh);k++){
		 *(p+k)='*';
	 	 }
	cout<<"2 "<<p<<"\n"; //---- PER COMMENTARE

	 //shifta l'array di caratteri
	 for(int i=0; i<l;i++){
		 *(p +i+sh)=*(ar+i);
	 }
	 cout<<"3 "<<p<<endl; //----

	 cout<<"4 "<<p<<"\n";
	 }


int main(void){
	ptr=array;
	//per inizializzare l'array definiendo una dimensione probabilmente piccola
	//char array[3];
	char arr2[3];

cout<<"Inserisci una frase :\n ";

gets(array);//gets(array);
if(strlen(array)==0) //if(strlen(array)==0)
	gets(array); //  gets(array);

 //calcola lunghezza array
 int lungArr=strlen(array);

 cout<<"Inserisci il valore intero dello shift : \n";
 cin>>shift;

 cout<<"1 "<<array<<endl;
 ShiftStampa(lungArr, array,arr2,shift);

 //risolvo il dangling pointer
 //     char array[3]=malloc(sizeof(char[]));


system("PAUSE");
return 0;
}
